
Imports Bass = Un4seen.Bass.Bass
Imports BassVis = Un4seen.Bass.AddOn.Vis.BassVis

Module modVis


    ' Windows API Declaration
    Private Declare Function lstrlen Lib "kernel32" Alias "lstrlenA" ( _
        ByVal lpString As Int32 _
    ) As Int32

    Public mySync As Un4seen.Bass.SYNCPROC

    Public input_ As Integer
    Public VisChan As Integer
    Public Hvis As Integer
    Public PlaylistPos As Integer

    '************* Winamp Messagen ***************
    'FakeWinamp Handle
    Public hWndWinAMP As Integer
    Public hWndGen As Integer


    Public Function HiWord(ByVal lParam As Int32) As Int32
        ' This is the HIWORD of the lParam:
        HiWord = lParam \ &H10000 And &HFFFF&
    End Function

    Public Function LoWord(ByVal lParam As Int32) As Int32
        ' This is the LOWORD of the lParam:
        LoWord = lParam And &HFFFF&
    End Function

    Function MakeLong(ByVal LoWord As Int32, ByVal HiWord As Int32) As Int32
        'Replacement for the c++ Function MAKELONG
        MakeLong = (LoWord And &HFFFF&) Or (HiWord * &H10000)
    End Function


    Public Function FileExists(ByVal filename As String) As Boolean

        'berprfe ob Datei Existiert
        On Error Resume Next
        FileExists = (Dir(filename) <> "")

    End Function

    Public Function RPP(ByVal fp As String) As String

        RPP = IIf(Mid$(fp, Len(fp), 1) <> "\", fp & "\", fp)

    End Function

    'Return the Filename part of the filespec
    Public Function GetFileName(ByVal filename As String) As String

        Dim intL As Integer
        Dim intJ As Integer
        Dim tmpFileName As String

        If filename <> "" Then
            intL = Len(filename)
            For intJ = intL To 1 Step -1
                If Mid$(filename, intJ, 1) = "\" Then
                    Exit For
                End If
            Next intJ

            tmpFileName = Mid$(filename, intJ + 1)


            GetFileName = Mid$(tmpFileName, 1, Len(tmpFileName))
        Else
            GetFileName = ""
        End If


    End Function

    'Return the Path part of the filespec
    Public Function GetPath(ByVal filename As String) As String

        Dim intP As Integer
        Dim intJ As Integer

        intP = 0
        For intJ = Len(filename) To 1 Step -1
            If Mid$(filename, intJ, 1) = "\" Then
                intP = intJ
                Exit For
            End If
        Next

        If intP > 0 Then
            GetPath = Left$(filename, intP)
        Else
            GetPath = vbNullString
        End If

    End Function

    'Return the Path and Filename parts from Filespec
    Public Function GetBaseName(ByVal filename As String) As String

        Dim intL As Integer
        Dim intJ As Integer

        If Len(filename) = 0 Then
            GetBaseName = vbNullString
            Exit Function
        End If

        On Error GoTo err_Handle
        intL = Len(filename)
        For intJ = intL To 1 Step -1
            If Mid$(filename, intJ, 1) = "." Then
                Exit For
            End If
        Next intJ

        GetBaseName = Left$(filename, intJ - 1)

        Exit Function

err_Handle:
        GetBaseName = vbNullString

    End Function

End Module
